
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Add some needed dependencies for some debug options and hide the MAGIC_SYSRQ
option for UML, since it displays this option in another menu.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/Kconfig.debug |    6 +++---
 25-akpm/lib/Kconfig.debug     |    2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/um/Kconfig.debug~uml-add-kconfig-debug-deps arch/um/Kconfig.debug
--- 25/arch/um/Kconfig.debug~uml-add-kconfig-debug-deps	2005-03-23 01:20:35.000000000 -0800
+++ 25-akpm/arch/um/Kconfig.debug	2005-03-23 01:20:35.000000000 -0800
@@ -8,7 +8,7 @@ config FRAME_POINTER
 
 config PT_PROXY
 	bool "Enable ptrace proxy"
-	depends on XTERM_CHAN && DEBUG_INFO
+	depends on XTERM_CHAN && DEBUG_INFO && MODE_TT
 	help
 	This option enables a debugging interface which allows gdb to debug
 	the kernel without needing to actually attach to kernel threads.
@@ -16,7 +16,7 @@ config PT_PROXY
 
 config GPROF
 	bool "Enable gprof support"
-	depends on DEBUG_INFO
+	depends on DEBUG_INFO && MODE_SKAS
 	help
         This allows profiling of a User-Mode Linux kernel with the gprof
         utility.
@@ -29,7 +29,7 @@ config GPROF
 
 config GCOV
 	bool "Enable gcov support"
-	depends on DEBUG_INFO
+	depends on DEBUG_INFO && MODE_SKAS
 	help
         This option allows developers to retrieve coverage data from a UML
         session.
diff -puN lib/Kconfig.debug~uml-add-kconfig-debug-deps lib/Kconfig.debug
--- 25/lib/Kconfig.debug~uml-add-kconfig-debug-deps	2005-03-23 01:20:35.000000000 -0800
+++ 25-akpm/lib/Kconfig.debug	2005-03-23 01:20:35.000000000 -0800
@@ -17,7 +17,7 @@ config DEBUG_KERNEL
 
 config MAGIC_SYSRQ
 	bool "Magic SysRq key"
-	depends on DEBUG_KERNEL
+	depends on DEBUG_KERNEL && !UML
 	help
 	  If you say Y here, you will have some control over the system even
 	  if the system crashes for example during kernel debugging (e.g., you
_
